<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('support_conversions', function (Blueprint $table) {
            $table->id();
            $table->integer('ticket_id');
            $table->text('description');
            $table->text('attachments');
            $table->text('sender')->nullable();;
            $table->string('theme_id')->nullable();
            $table->unsignedBigInteger('customer_id')->nullable();
            $table->integer('store_id');
            $table->timestamps();

            $table->foreign('customer_id')->references('id')->on('customers')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('support_conversions');
    }
};
